import 'package:driverapp/widgets/data_display/circle-container.dart';
import 'package:flutter/material.dart';

class DistanceInKilometers extends StatelessWidget {
  const DistanceInKilometers({
    @required this.distanceInKilometers,
    Key key,
  }) : super(key: key);

  final dynamic distanceInKilometers;

  @override
  Widget build(BuildContext context) {
    return CircleContainer(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.center,
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          Text(
            distanceInKilometers.toString(),
            style: TextStyle(
                color: Color(0xff42B6AD),
                fontWeight: FontWeight.w800,
                fontStyle: FontStyle.normal),
          ),
          Text(
            'K.m',
            style: TextStyle(
                color: Color(0xff42B6AD),
                fontWeight: FontWeight.w800,
                fontStyle: FontStyle.normal),
          ),
          Text(
            'away',
            style: TextStyle(
                color: Color(0xff42B6AD),
                fontWeight: FontWeight.w800,
                fontStyle: FontStyle.normal),
          ),
        ],
      ),
    );
  }
}
